<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_cast&lt; M, target_type &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__cast.html">op_cast</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__cast-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_cast&lt; M, target_type &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ae1103cae10d015f8dc57fd6a268c2c56"><td class="memItemLeft" align="right" valign="top"><a id="ae1103cae10d015f8dc57fd6a268c2c56"></a>
typedef target_type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:ae1103cae10d015f8dc57fd6a268c2c56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2f7a15dd332274f331cbf03705ee88f"><td class="memItemLeft" align="right" valign="top"><a id="ac2f7a15dd332274f331cbf03705ee88f"></a>
typedef const target_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:ac2f7a15dd332274f331cbf03705ee88f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4097879538876fc79c4def6d9420206"><td class="memItemLeft" align="right" valign="top"><a id="ab4097879538876fc79c4def6d9420206"></a>
typedef M::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:ab4097879538876fc79c4def6d9420206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add4843fcca386b49c6a08c95fa2bed9c"><td class="memItemLeft" align="right" valign="top"><a id="add4843fcca386b49c6a08c95fa2bed9c"></a>
typedef M::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:add4843fcca386b49c6a08c95fa2bed9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a237bd5088a0928facd296ee260ef943b"><td class="memItemLeft" align="right" valign="top"><a id="a237bd5088a0928facd296ee260ef943b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_cast</b> (const M &amp;m_)</td></tr>
<tr class="separator:a237bd5088a0928facd296ee260ef943b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76c3d1c046a858e5b960ddbab3bd5c0d"><td class="memItemLeft" align="right" valign="top"><a id="a76c3d1c046a858e5b960ddbab3bd5c0d"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:a76c3d1c046a858e5b960ddbab3bd5c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abee1c193d46c6dadcea7c9d9d2d3b8d7"><td class="memItemLeft" align="right" valign="top"><a id="abee1c193d46c6dadcea7c9d9d2d3b8d7"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:abee1c193d46c6dadcea7c9d9d2d3b8d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a175404777b8390a8fbed66c6c9fa1465"><td class="memItemLeft" align="right" valign="top"><a id="a175404777b8390a8fbed66c6c9fa1465"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a175404777b8390a8fbed66c6c9fa1465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3bf5ab0ac8545a8e8c0c4cf74477db4"><td class="memTemplParams" colspan="2"><a id="ae3bf5ab0ac8545a8e8c0c4cf74477db4"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:ae3bf5ab0ac8545a8e8c0c4cf74477db4"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:ae3bf5ab0ac8545a8e8c0c4cf74477db4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc51f87e74234b327662d5167f5098ab"><td class="memTemplParams" colspan="2"><a id="abc51f87e74234b327662d5167f5098ab"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:abc51f87e74234b327662d5167f5098ab"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:abc51f87e74234b327662d5167f5098ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a593cae5bf2e8d4cb5bf1148fce1baab0"><td class="memItemLeft" align="right" valign="top"><a id="a593cae5bf2e8d4cb5bf1148fce1baab0"></a>
const M &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:a593cae5bf2e8d4cb5bf1148fce1baab0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:af530b97b128ab8b2a2b96243bd839a8a"><td class="memItemLeft" align="right" valign="top"><a id="af530b97b128ab8b2a2b96243bd839a8a"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M::cost+2</td></tr>
<tr class="separator:af530b97b128ab8b2a2b96243bd839a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a231d91a12b58ec53f041071b3cff344e"><td class="memItemLeft" align="right" valign="top"><a id="a231d91a12b58ec53f041071b3cff344e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = M::NR</td></tr>
<tr class="separator:a231d91a12b58ec53f041071b3cff344e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13b58dc5f487be1d579a53b229c20d2b"><td class="memItemLeft" align="right" valign="top"><a id="a13b58dc5f487be1d579a53b229c20d2b"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = M::NC</td></tr>
<tr class="separator:a13b58dc5f487be1d579a53b229c20d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__utilities_8h_source.html">matrix_utilities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
